Summary:	Synchronize YUM repository
Name:		yum-repo-sync
Version:	2.0
Release:	0
License:	GPL
Group:		System Environment/Base
URL:		http://www.dotsharp.com.br
Source0:	http://www.dotsharp.com.br/download/%{name}-%{version}.tar.gz
Requires:	yum >= 2.0, rsync, createrepo, diffutils, mktemp, coreutils
BuildArchitectures: noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%define docdir %{_docdir}/%{name}-%{version}

%description
It provides one easy way to create and maintain a local repository to YUM.
You will need edit the client config file in /etc/yum.repos.d/CentOS-Base.repo to change the line "baseurl=" to link of your web server.

%prep
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%setup


%install
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{docdir}
install -m 755 yum-repo-sync.sh      $RPM_BUILD_ROOT%{_sbindir}/yum-repo-sync
install -m 644 yum-repo-sync.conf    $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/yum-repo-sync
install -m 644 ChangeLog             $RPM_BUILD_ROOT%{docdir}
install -m 644 FAQ.txt               $RPM_BUILD_ROOT%{docdir}
install -m 644 gpl.txt               $RPM_BUILD_ROOT%{docdir}
install -m 644 INSTALL               $RPM_BUILD_ROOT%{docdir}
install -m 644 INSTALL.pt_BR.txt     $RPM_BUILD_ROOT%{docdir}
install -m 644 README                $RPM_BUILD_ROOT%{docdir}
install -m 644 README.config         $RPM_BUILD_ROOT%{docdir}
install -m 644 README.pt_BR.txt      $RPM_BUILD_ROOT%{docdir}
install -m 644 TODO                  $RPM_BUILD_ROOT%{docdir}
install -m 644 yum-repo-sync.conf    $RPM_BUILD_ROOT%{docdir}
#ln -sf %{_sbindir}/yum-repo-sync     ${RPM_BUILD_ROOT}%{_sysconfdir}/cron.daily/yum-repo-sync

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT



%files
%defattr(0644,root,root,0755)
%config(noreplace) %{_sysconfdir}/sysconfig/yum-repo-sync
%attr(0755, root, root) %{_sbindir}/yum-repo-sync
#%attr(0755, root, root) %{_sysconfdir}/cron.daily/yum-repo-sync
%doc %{docdir}/*

%changelog

* Tue Jan 18 2011 Rodrigo Luis Silva <rsilva.14@gmail.com> 2.0
    create INSTALL file with install instructions
    Update Makefile
    Update Changelog :)
    Moved FUZZY, SPARSE and PARTIAL default options to config file
    Default value can be change using config file
    Optional delete-excluded flag added to config file
    License from GPLv2 to GPLv3
    Added option to limit I/O bandwidth

* Thu Mar 27 2008 Erez Hadad <erez.hadad@gmail.com> 2.0
1 - Verbose mode does not include rsync progress - it only messes up the log files.
    Instead, I use --itemize-changes, which also helps for the next item. Similarily,
    I removed the progress flags for createrepo. The only difference that VERBOSE makes
    is to display comments of the various phases of action. 
2 - I changed the repodata management. Most of the contemporary repositories already have
    pre-built repodata directories.
    I poropose running createrepo only when the rsync output does indicate file update and
    when the repodata does not change ( i.e. is not listed in rsync changes) or does not exist
    after rsync (such as when it is deleted). This also saves comparing file listings, as version 1.0 did.
3 - I added all the transport optimiziers as flags: --fuzzy, --sparse, --partial. 
4 - All optimizer flags and DELETE have defaults - this considerably shortens
    the yum-repo-sync configuration file (in /etc/sysconfig).
5 - English verbose comments.
6 - I suggest installing yum-repo-sync into /usr/sbin or /sbin so that it does not appear in the
    path of any user except root.

* Thu Oct 26 2006 Rodrigo Luis Silva <rodrigo@dotsharp.com.br> 1.1
    Added Fedora Core 6 repository to config file

* Thu Oct 26 2006 Rodrigo Luis Silva <rodrigo@dotsharp.com.br> 1.0
    Completely Rewrited
    Config file with support for multiple repository
    More options, more flexible

* Fri Jun  9 2006 Rodrigo Luis Silva <rodrigo@dotsharp.com.br> 0.0
    First version, one script without config file
